<?php
    $user = $_POST['fuser'];
    $oldpass = $_POST['foldpass'];
    $newpass = $_POST['fnewpass'];
    $newpassagain = $_POST['fnewpassagain'];
    
    
    if ($user=="") {
        echo "Kullanıcı adı girmek zorunludur";
        exit();
    }

    if ($newpass=="" || $newpassagain=="") {
        echo "Parola girmek zorunludur";
        exit();
    }

    if ($newpass!=$newpassagain) {
        echo "Girilen parolalar aynı olmalı";
        exit(); 
    }

    if ($oldpass==$newpass) {
        echo "Yeni parola eskisinden farklı olmalı";
        exit();
    }

    class MyDB extends SQLite3 {
        function __construct() {
           $this->open('/kirac/db/misc.db');
           $this->enableExceptions(true);
        }
     }
  
     $db = new MyDB();
     if(!$db) {
        header("Location:/");
     }

    $sql =<<<EOF
        SELECT * from tblusers;
EOF;
     try {
        $ret = $db->query($sql);
        $row = $ret->fetchArray(SQLITE3_ASSOC);
        
        if(crypt($oldpass, $row['pass']) != $row['pass']) {
            echo "Eski parola yanlış girildi";
            exit(); 
        }

        $crypted_pass = crypt($newpass);

        if ($db->exec("UPDATE tblusers SET user='$user',pass='$crypted_pass'")) {
            echo "Değişiklik kaydedildi";
        }else {
            echo "Kayıt hatası";
        }

     } catch (Exception $e) {
        echo $e->getMessage();
     }
     $db->close();
   
?>
